# Query Certificate Alert List - GetAlarmCertificateList

## Overview

Query Certificate Alert List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetAlarmCertificateList`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.zosoc.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **AlarmType** | int | Alarm type, if not filled in, the default is to query all, 1: Joined alarm, 0: Not joined alarm<br />The default fill is 1 |No|
| **Sort** | string | 1-Ascending, 2-Descending |No|
| **Limit** | int | Return data length, default is 20 |No|
| **Offset** | int | List start position offset, default is 0 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total Records |No|
| **CertificateList** | array[[*CertificateList*](#certificatelist)] | Return the list of certificate records that meet the conditions |No|

#### Data Model


#### CertificateList

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **CertificateID** | int | Certificate Id |**Yes**|
| **CertificateSN** | string | Certificate Resource ID |**Yes**|
| **CertificateCat** | string | Certificate Classification |**Yes**|
| **Mode** | string | Certificate Type |**Yes**|
| **Domains** | string | Certificate Binding Domain Name |**Yes**|
| **Brand** | string | Certificate's Brand Owner |**Yes**|
| **ValidityPeriod** | int | Domain Validity Period |**Yes**|
| **Type** | string | Certificate Authority Information |**Yes**|
| **NotBefore** | int | Issue Date (Millisecond Timestamp) |**Yes**|
| **NotAfter** | int | Expiration Date (Millisecond Timestamp) |**Yes**|
| **AlarmState** | int | Expiration Alert |**Yes**|
| **StateCode** | string | Certificate Status Code |**Yes**|
| **State** | string | Certificate Status Description |**Yes**|
| **Name** | string | Certificate Name in English |**Yes**|
| **MaxDomainsCount** | int | Maximum Domain Number |**Yes**|
| **DomainsCount** | int | Current Domain Quantity |**Yes**|
| **CaChannel** | string | Third-party Certificate Authority |**Yes**|
| **CSRAlgorithms** | array[[*CSRAlgorithmInfo*](#csralgorithminfo)] | Optional encryption information for CSR |**Yes**|
| **TopOrganizationID** | int | Company ID |**Yes**|
| **OrganizationID** | int | Project ID |**Yes**|
| **IsFree** | int | Is it free? |**Yes**|
| **YearOfValidity** | int | Add Year Number of Multi-Year Term |**Yes**|
| **Channel** | int | Channel Information |**Yes**|
| **CreateTime** | int | Creation Time |**Yes**|
| **CertificateUrl** | string | URL for certificate download |**Yes**|

#### CSRAlgorithmInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Algorithm** | string | Algorithm.<br /><br />Supports RSA, ECDSA, SM2 three values. |No|
| **AlgorithmOption** | array[string] | The length of the algorithm key.<br />1. RSA supports 2048,3072,4096<br />2. ECDSA supports p256,p384,p512<br />3. SM2 supports p256 |No|

## Example

### Request Example
    
```
https://api.zosoc.com/?Action=GetAlarmCertificateList
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=CYpfcAIF
&AlarmType=1
```

### Response Example
    
```json
{
  "Action": "GetAlarmCertificateListResponse",
  "CertificateList": [
    {
      "AlarmState": 1,
      "Brand": "TrustAsia",
      "CSRAlgorithms": [
        {
          "Algorithm": "RSA",
          "AlgorithmOption": [
            "2048"
          ]
        }
      ],
      "CaChannel": "TrustAsia",
      "CertificateCat": "DV",
      "CertificateID": 1,
      "CertificateSN": "usecure_ussl-2",
      "CertificateUrl": "https://ussl.cn-bj.ufileos.com/usecure_ussl-2",
      "Channel": 1,
      "CreateTime": 1671421768,
      "Domains": "test1.com",
      "DomainsCount": 1,
      "ID": 1,
      "IsFree": 1,
      "MaxDomainsCount": 1,
      "Mode": "free",
      "Name": "TrustAsiaDVG5",
      "NotAfter": 1706745599000,
      "NotBefore": 1675123200000,
      "OrganizationID": 2,
      "State": "待续费",
      "StateCode": "WF_RENEW",
      "TopOrganizationID": 2,
      "Type": "TrustAsia-DV(1年)",
      "ValidityPeriod": 1,
      "YearOfValidity": 1
    },
    {
      "AlarmState": 1,
      "Brand": "TrustAsia Technologies, Inc.",
      "CSRAlgorithms": null,
      "CaChannel": "",
      "CertificateCat": "",
      "CertificateID": 2,
      "CertificateSN": "usecure_ussl-3",
      "CertificateUrl": "https://ussl.cn-bj.ufileos.com/usecure_ussl-3",
      "Channel": 1,
      "CreateTime": 1658473462,
      "Domains": "test2.com",
      "DomainsCount": 1,
      "ID": 2,
      "IsFree": 0,
      "MaxDomainsCount": 0,
      "Mode": "trust",
      "Name": "test",
      "NotAfter": 1686095999000,
      "NotBefore": 1654560000000,
      "OrganizationID": 2,
      "State": "托管中",
      "StateCode": "TRUSTING",
      "TopOrganizationID": 2,
      "Type": "TrustAsia Technologies, Inc.(1年)",
      "ValidityPeriod": 1,
      "YearOfValidity": 0
    }
  ],
  "RetCode": 0,
  "TotalCount": 2
}
```





